//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
using System;

namespace FrameworkLibraries
{
	public class BufferMain 
	{
		static void Main(string [] args)
		{
			int [] rawData = new int [] {1,2,3,4};
			Console.WriteLine("Wielkość tablicy w bajtach: {0}",
				               Buffer.ByteLength(rawData));
			for(int i = 0;i < Buffer.ByteLength(rawData); i++)
			{
				if((i % 4) == 0)
					Console.WriteLine();
				Console.Write("0x{0:X} ", Buffer.GetByte(rawData, i));
			}
		}
	}
}